Subject: Re: [PATCH] net: phy: leds: Trigger leds only if PHY speed is known

From: Andrew Lunn <[email-masked]>
Date: Wed, 11 Aug 2021 16:39:45 +0200

> I think will be easier if we protect public phylib API internally with
> lock, otherwise it is easy to make mistakes, obviously. But still this
> will not protect users which directly dereference phy_device members.

Anybody directly dereference phy_device members, rather than going
through the API, is directly responsible for any breakage they
cause. This is not a supported use case.

       Andrew